Submit a trend or instruction
curl --request POST \
--url https://www.deploypanther.com/api/v1/trends \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotency_key": "<string>",
"title": "<string>",
"summary": "<string>",
"source_urls": [
"<string>"
],
"relevance": "<string>",
"target_offer": "<string>",
"target_platforms": [],
"suggested_angle": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://www.deploypanther.com/api/v1/trends"
payload = {
"idempotency_key": "<string>",
"title": "<string>",
"summary": "<string>",
"source_urls": ["<string>"],
"relevance": "<string>",
"target_offer": "<string>",
"target_platforms": [],
"suggested_angle": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotency_key: '<string>',
title: '<string>',
summary: '<string>',
source_urls: ['<string>'],
relevance: '<string>',
target_offer: '<string>',
target_platforms: [],
suggested_angle: '<string>',
expires_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://www.deploypanther.com/api/v1/trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.deploypanther.com/api/v1/trends",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'idempotency_key' => '<string>',
'title' => '<string>',
'summary' => '<string>',
'source_urls' => [
'<string>'
],
'relevance' => '<string>',
'target_offer' => '<string>',
'target_platforms' => [
],
'suggested_angle' => '<string>',
'expires_at' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.deploypanther.com/api/v1/trends"
payload := strings.NewReader("{\n \"idempotency_key\": \"<string>\",\n \"title\": \"<string>\",\n \"summary\": \"<string>\",\n \"source_urls\": [\n \"<string>\"\n ],\n \"relevance\": \"<string>\",\n \"target_offer\": \"<string>\",\n \"target_platforms\": [],\n \"suggested_angle\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.deploypanther.com/api/v1/trends")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"idempotency_key\": \"<string>\",\n \"title\": \"<string>\",\n \"summary\": \"<string>\",\n \"source_urls\": [\n \"<string>\"\n ],\n \"relevance\": \"<string>\",\n \"target_offer\": \"<string>\",\n \"target_platforms\": [],\n \"suggested_angle\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.deploypanther.com/api/v1/trends")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"idempotency_key\": \"<string>\",\n \"title\": \"<string>\",\n \"summary\": \"<string>\",\n \"source_urls\": [\n \"<string>\"\n ],\n \"relevance\": \"<string>\",\n \"target_offer\": \"<string>\",\n \"target_platforms\": [],\n \"suggested_angle\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_bodyAPI Reference
Submit a trend or instruction
Records a trend as pending owner approval. Requires an API key with the trends:write scope. Idempotent on idempotency_key. See trends-api.md.
POST
/
trends
Submit a trend or instruction
curl --request POST \
--url https://www.deploypanther.com/api/v1/trends \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotency_key": "<string>",
"title": "<string>",
"summary": "<string>",
"source_urls": [
"<string>"
],
"relevance": "<string>",
"target_offer": "<string>",
"target_platforms": [],
"suggested_angle": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://www.deploypanther.com/api/v1/trends"
payload = {
"idempotency_key": "<string>",
"title": "<string>",
"summary": "<string>",
"source_urls": ["<string>"],
"relevance": "<string>",
"target_offer": "<string>",
"target_platforms": [],
"suggested_angle": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotency_key: '<string>',
title: '<string>',
summary: '<string>',
source_urls: ['<string>'],
relevance: '<string>',
target_offer: '<string>',
target_platforms: [],
suggested_angle: '<string>',
expires_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://www.deploypanther.com/api/v1/trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.deploypanther.com/api/v1/trends",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'idempotency_key' => '<string>',
'title' => '<string>',
'summary' => '<string>',
'source_urls' => [
'<string>'
],
'relevance' => '<string>',
'target_offer' => '<string>',
'target_platforms' => [
],
'suggested_angle' => '<string>',
'expires_at' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.deploypanther.com/api/v1/trends"
payload := strings.NewReader("{\n \"idempotency_key\": \"<string>\",\n \"title\": \"<string>\",\n \"summary\": \"<string>\",\n \"source_urls\": [\n \"<string>\"\n ],\n \"relevance\": \"<string>\",\n \"target_offer\": \"<string>\",\n \"target_platforms\": [],\n \"suggested_angle\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.deploypanther.com/api/v1/trends")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"idempotency_key\": \"<string>\",\n \"title\": \"<string>\",\n \"summary\": \"<string>\",\n \"source_urls\": [\n \"<string>\"\n ],\n \"relevance\": \"<string>\",\n \"target_offer\": \"<string>\",\n \"target_platforms\": [],\n \"suggested_angle\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.deploypanther.com/api/v1/trends")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"idempotency_key\": \"<string>\",\n \"title\": \"<string>\",\n \"summary\": \"<string>\",\n \"source_urls\": [\n \"<string>\"\n ],\n \"relevance\": \"<string>\",\n \"target_offer\": \"<string>\",\n \"target_platforms\": [],\n \"suggested_angle\": \"<string>\",\n \"expires_at\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
200Maximum string length:
2000Required array length:
1 - 10 elementsMaximum string length:
1000Available options:
twitter, linkedin, reddit, reel, reaction_hook, hook_cta_shorts Maximum string length:
1000Available options:
low, normal, high, breaking Response
Idempotent replay of an earlier identical submission

